<?php
/**
 * Created for Schaffen IT.
 * User: Thiago Traczykowski
 */

namespace Schaffen\Core\Movement\Models;


use Illuminate\Database\Eloquent\Model;
use Schaffen\Core\Person\Models\Person;
use Schaffen\Core\Traits\Audit;

class Sales extends Model
{
    use Audit;
    protected $table = "movimentacao.venda";
    protected $primaryKey = "ven_codigo";

    const CREATED_AT = 'ven_date_insert';
    const UPDATED_AT = null;

    protected $fillable = [
        "ven_fk_pes_codigo_vendedor",
        "ven_fk_fil_codigo",
        "ven_data_movel",
        "ven_fk_pes_codigo",
        "ven_fk_loe_codigo",
        "ven_data_cancelamento"
    ];

    public function client(){
        return $this->belongsTo(Person::class, 'ven_fk_pes_codigo')->with('address_default', 'contact_default');
    }

    public function sales_items(){
        return $this->hasMany(SalesItem::class, 'vei_fk_ven_codigo', 'ven_codigo')->with('product_variety_pack');
    }

    public function sales_payment_forms(){
        return $this->hasMany(SalesPaymentForm::class, 'vfp_fk_ven_codigo')->with('payment_form');
    }

}
